MongoCollection::findOne
MongoCollection::getIndexInfo
MongoCollection
PHP Manual

# MongoCollection::getDBRef

(PECL mongo >=0.9.0)

MongoCollection::getDBRef — Fetches the document pointed to by a database reference

### Description

public array MongoCollection::getDBRef ( array `$ref` )

### Parameters

`ref`

  A database reference.

### Return Values

Returns the database document pointed to by the reference.

### Examples

Example #1 MongoCollection::createDBRef() example

`<?php
$playlists = $db->selectCollection('playlists');
$myList = $playlists->findOne(array('username' => 'me'));
// fetch each song in the playlist
foreach ($myList['songlist'] as $songRef) {
$song = $playlists->getDBRef($songRef);
echo $song['title'] . "\n";
}
?>`

The above example will output something similar to:

    Dazed and Confused
    Ma na ma na
    Bohemian Rhapsody

### See Also

- MongoCollection::createDBRef - Creates a database reference

MongoCollection::findOne
MongoCollection::getIndexInfo
MongoCollection
PHP Manual